package com.nisum.employeeservice.Aspect;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Aspect
@Component
public class LoggingAspect {

    private final Logger logger = LoggerFactory.getLogger(LoggingAspect.class);

    @Before("execution(* com.nisum.employeeservice.service.EmployeeService.findAllEmployees())")
    public void logBefore() {
        logger.info("{} before advice", "Logger");
        logger.error("Fake Error");
    }

}
