package com.nisum.employeeservice.controller;

import com.nisum.employeeservice.model.Employee;
import com.nisum.employeeservice.service.EmployeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@CrossOrigin(origins = "*")
@RestController // returns a JSON
@RequestMapping("/api/v1")
public class EmployeeController {

    @Autowired EmployeeService employeeService;

    @GetMapping("/employees")
    public List<Employee> getAllEmployess() {
        return employeeService.findAllEmployees();
    }

    @PostMapping("/employees")
    public Employee createEmployee(@RequestBody Employee employee) {
        return employeeService.addEmployee(employee);
    }

    @PutMapping("employees/id")
    public Employee updateEmployee(@RequestBody Employee employee) {
        return employeeService.editEmployee(employee);
    }
}
